import praw
import random
import time
import datetime

# this is the login information for our bot
username=''
password=''
client_id=''
client_secret=''

# connect to reddit 
reddit = praw.Reddit(
    client_id=client_id,
    client_secret=client_secret,
    user_agent=username,
    username=username,
    password=password,
    )

csci40 = reddit.subreddit('csci040')

politics = reddit.subreddit('politics')
conservative = reddit.subreddit('conservative')

while True:
    posts = (
        list(politics.top    (time_filter='day', limit=5)) +
        list(conservative.top(time_filter='day', limit=5))
        )
    random.shuffle(posts)
    for post in posts:
        print(datetime.datetime.now())
        print('title=',post.title)
        print('url=',post.url)
        if post.url:
            try:
                csci40.submit(
                    title=post.title,
                    url=post.url,
                    resubmit=False,
                    )
            except Exception as e:
                print('ERROR:',e)

        time.sleep(60*60*2)
